<template>
  <div class="fact-generator">
    <h2>Generate a cool cat fact:</h2>
  <button @click.prevent="generateFact()">Generate a fact</button>
  <div v-if="fact">
      <h3>Cat Fact</h3>
      <p>{{fact}}</p>
  </div>
  </div>
</template>

<script>
import axios from 'axios';
export default {
    data(){
        return{
            fact: ''
        }
    },
    methods: {
        generateFact(){
            axios.get('https://catfact.ninja/fact')
                .then(response => this.fact = response.data.fact);
        }
    }
}

</script>

<style scoped>
.fact-generator{
  padding: 0px 30px;
}

h2{
  text-align: left;
  margin-bottom: 0;
}

button{
  margin-left:0;
}

</style>